Skip to content

Inventory & Bank

Each character has 20 slots in their inventory, which can hold a maximum of 100 items. So you can have 20 different items, but a maximum of 100 items in total. At each level, the maximum total items increases by 2.

JSON
....
"inventory": [
{
"slot": 0,
"code": "string",
"quantity": 0
}
]

Your character can equip a bag to increase the size of their inventory in the bag_slot slot.

Here are some examples of bags you can equip:

Loading items...

You can view a character, including their inventory, using this request:

Endpoint: GET /characters/{name}

curl --request GET \
--url 'https://api.artifactsmmo.com/characters/YOUR_CHARACTER_NAME' \
--header 'Accept: application/json'

At the bank, you can deposit items and gold. The bank is shared with all your characters, it’s the best way to trade with your other characters.

The bank is limited to 50 slots, but you can buy expansions to add 20 slots. The first expansion costs 3,500 gold, and the price doubles (x2) with each expansion purchased, capped at 448,000 gold.

You can view the contents of your bank at any time using the following request:

Endpoint: GET /my/bank/items

curl --location --request GET 'https://api.artifactsmmo.com/my/bank/items' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN'

You can also view general information about your bank (total gold, slots, expansions, next expansion cost) using the following request:

Endpoint: GET /my/bank

curl --location --request GET 'https://api.artifactsmmo.com/my/bank' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN'

To deposit items, you must be on a map containing a bank. For more details on map navigation, see Maps and Movement.

To deposit items, use the following request:

Endpoint: POST /my/{name}/action/bank/deposit/item

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/bank/deposit/item \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '[
{ "code": "string", "quantity": 1 },
{ "code": "another_item", "quantity": 2 }
]'
FieldDescription
codeThe item code to deposit.
quantityNumber of items to deposit.

To withdraw items, you must be on a map containing a bank. For more details on map navigation, see Maps and Movement.

To withdraw items, use the following request:

Endpoint: POST /my/{name}/action/bank/withdraw/item

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/bank/withdraw/item \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '[
{ "code": "string", "quantity": 1 },
{ "code": "another_item", "quantity": 2 }
]'
FieldDescription
codeThe item code to withdraw.
quantityNumber of items to withdraw.

To withdraw gold, you must be on a map containing a bank. For more details on map navigation, see Maps and Movement. You can withdraw any amount of gold per request.

To withdraw gold, use the following request:

Endpoint: POST /my/{name}/action/bank/withdraw/gold

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/bank/withdraw/gold \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"quantity": 1
}'
FieldDescription
quantityAmount of gold to withdraw.

To deposit gold, you must be on a map containing a bank. For more details on map navigation, see Maps and Movement. You can deposit any amount of gold per request, as long as you have the gold available.

To deposit gold, use the following request:

Endpoint: POST /my/{name}/action/bank/deposit/gold

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/bank/deposit/gold \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"quantity": 1
}'
FieldDescription
quantityAmount of gold to deposit.

To buy an expansion, you need to be on a map containing a bank. It adds 20 slots, starts at 3,500 gold, and the price doubles (x2) with each expansion purchased, capped at 448,000 gold.

To buy an expansion, use the following request:

Endpoint: POST /my/{name}/action/bank/buy_expansion

curl --request POST \
--url https://api.artifactsmmo.com/my/{name}/action/bank/buy_expansion \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \